Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class ComponentNetherBridgeThrone

    java.lang.Object
      net.minecraft.src.StructureComponent
          net.minecraft.src.ComponentNetherBridgeThrone

    public class ComponentNetherBridgeThrone

extends StructureComponent

Constructor Summary
`ComponentNetherBridgeThrone(int par1, Random par2Random, StructureBoundingBox par3StructureBoundingBox, int par4)`

Method Summary
`boolean` | `addComponentParts(World par1World, Random par2Random, StructureBoundingBox par3StructureBoundingBox)` second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...
`static ComponentNetherBridgeThrone` | `createValidComponent(List par0List, Random par1Random, int par2, int par3, int par4, int par5, int par6)` Creates and returns a new component piece.

Methods inherited from class net.minecraft.src.StructureComponent
`buildComponent, findIntersecting, getBoundingBox, getCenter, getComponentType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentNetherBridgeThrone

    public ComponentNetherBridgeThrone(int par1,
                                       Random par2Random,
                                       StructureBoundingBox par3StructureBoundingBox,
                                       int par4)

Method Detail

### createValidComponent

    public static ComponentNetherBridgeThrone createValidComponent(List par0List,
                                                                   Random par1Random,
                                                                   int par2,
                                                                   int par3,
                                                                   int par4,
                                                                   int par5,
                                                                   int par6)

  Creates and returns a new component piece. Or null if it could not find enough room to place it.

### addComponentParts

    public boolean addComponentParts(World par1World,
                                     Random par2Random,
                                     StructureBoundingBox par3StructureBoundingBox)

  second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...

  Specified by:
    `addComponentParts` in class `StructureComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD